cascading.pipe.joiner

## Interface Joiner

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    BaseJoiner, BufferJoin, InnerJoin, LeftJoin, MixedJoin, OuterJoin, RightJoin

      public interface Joiner
      extends java.io.Serializable

  Interface Joiner allows for custom join strategies against a `CoGroup`.

  Joins perform based on the equality of the join keys. In the case of null values, Java treats two null values as equivalent. SQL does not treat null values as equal. To produce SQL like results in a given join, a new `Comparator` will need to be used on the joined values to prevent null from equaling null. As a convenience, see the `NullNotEquivalentComparator` class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<Tuple>` | `getIterator(JoinerClosure closure)` Returns an iterator that joins the given CoGroupClosure co-groups.
    `int` | `numJoins()` Returns the number of joins this instance can handle.

- - ### Method Detail

    - #### getIterator

          java.util.Iterator<Tuple> getIterator(JoinerClosure closure)

      Returns an iterator that joins the given CoGroupClosure co-groups.
      Parameters:
        `closure` - of type GroupClosure
      Returns:
        an iterator

    - #### numJoins

          int numJoins()

      Returns the number of joins this instance can handle. A value of -1 denotes there is no limit.
      Returns:
        an int

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.